Create a video generation from an imageAsk AIpost https://cloud.leonardo.ai/api/rest/v1/generations-image-to-videoThis endpoint will generate a video using an uploaded or generated image.Body ParamsQuery parameters can also be provided in the request body as a JSON objectpromptstringrequiredThe prompt used to generate videoimageIdstringrequiredThe ID of the image, supports generated images and init images. Use only image or imageId with imageType.imageTypestringenumrequiredType indicating whether the init image is uploaded or generated. Use only image or imageId with imageType.GENERATEDUPLOADEDAllowed:GENERATEDUPLOADEDendFrameImageobject | nullThe end frame image. Supported only on kling2_1 model when used in conjunction with an init image.Object object | nullresolutionenumThe resolution of the output video. Acceptable values vary based on modelRESOLUTION_480RESOLUTION_720RESOLUTION_1080Allowed:RESOLUTION_480RESOLUTION_720RESOLUTION_1080modelenumDefaults to MOTION2The model to use for the video generation. Defaults to MOTION2 if not specified.MOTION2VEO3MOTION2FASTVEO3FASTKLING2_1KLING2_5Allowed:MOTION2VEO3MOTION2FASTVEO3FASTKLING2_1KLING2_5frameInterpolationboolean | nullSmoothly blend frames for fluid video transitions using Interpolation.truefalseisPublicboolean | nullWhether the generation is public or nottruefalseseedinteger | nullApply a fixed seed to maintain consistency across generation sets. The maximum seed value is 2147483637 for Motion 2.0.negativePromptstring | nullThe negative prompt used for the video generation.promptEnhanceboolean | nullWhether to enhance the prompt.truefalsedurationinteger | nullDuration of the output video in seconds. Allowed values: 4, 6, or 8 on models VEO3 and VEO3FAST (default: 8) and 5 or 10 on model KLING2_5 (default: 5).promptEnhanceInstructionstring | nullA natural language instruction used to modify the main prompt. For example, 'make it cinematic', 'add a rainbow', or 'change the subject to a cat'.styleIdsarray of strings | nullPredefined styles to enhance the prompt. This accepts a list of style uuids.Array of StringsADD stringelementsarray of objects | nullAn array of elements/loras objects that will be applied sequentially to the output. Elements are only supported for Motion2.0 generations.Array of Element InputsADD objectheightinteger | nullHeight of the output video. Acceptable values vary based on modelwidthinteger | nullWidth of the output video. Acceptable values vary based on modelResponse 200Responses for POST /generations-image-to-videoUpdated 7 months ago